CERN Accelerating science

Renaming a notebook

Dear SWAN community,

For the second time this week, I tried to rename a notebook from the notebook itself (clicking on its name as usual), but this does not work. Instead, I get the error:

Traceback (most recent call last): File “/usr/local/lib/python3.6/shutil.py”, line 544, in move os.rename(src, real_dst) FileNotFoundError: [Errno 2] No such file or directory: ‘/eos/home-a/apoyet/SWAN_projects/2019/MD_Analysis/.sys.v#.Untitled1.ipynb/1557230330’ -> ‘/eos/home-a/apoyet/SWAN_projects/2019/MD_Analysis/.sys.v#.MD_Note_plots.ipynb/1557230330’ During handling of the above exception, another exception occurred: Traceback (most recent call last): File “/usr/local/lib/python3.6/site-packages/tornado/web.py”, line 1592, in _execute result = yield result File “/usr/local/lib/python3.6/site-packages/tornado/gen.py”, line 1133, in run value = future.result() File “/usr/local/lib/python3.6/site-packages/tornado/gen.py”, line 326, in wrapper yielded = next(result) File “/usr/local/lib/python3.6/site-packages/notebook/services/contents/handlers.py”, line 125, in patch model = yield gen.maybe_future(cm.update(model, path)) File “/usr/local/lib/python3.6/site-packages/swancontents/filemanager/swanfilemanager.py”, line 328, in update return super(LargeFileManager, self).update(model, path) File “/usr/local/lib/python3.6/site-packages/notebook/services/contents/manager.py”, line 296, in update self.rename(path, new_path) File “/usr/local/lib/python3.6/site-packages/notebook/services/contents/manager.py”, line 285, in rename self.checkpoints.rename_all_checkpoints(old_path, new_path) File “/usr/local/lib/python3.6/site-packages/notebook/services/contents/checkpoints.py”, line 48, in rename_all_checkpoints self.rename_checkpoint(cp[‘id’], old_path, new_path) File “/usr/local/lib/python3.6/site-packages/swancontents/filemanager/checkpoints.py”, line 49, in rename_checkpoint shutil.move(checkpoint_old_path, checkpoint_new_path) File “/usr/local/lib/python3.6/shutil.py”, line 558, in move copy_function(src, real_dst) File “/usr/local/lib/python3.6/shutil.py”, line 257, in copy2 copyfile(src, dst, follow_symlinks=follow_symlinks) File “/usr/local/lib/python3.6/shutil.py”, line 121, in copyfile with open(dst, ‘wb’) as fdst: FileNotFoundError: [Errno 2] No such file or directory: ‘/eos/home-a/apoyet/SWAN_projects/2019/MD_Analysis/.sys.v#.MD_Note_plots.ipynb/1557230330’

Does anyone have the same issue? Is there a known solution?

Thanks a lot!

Cheers,

Axel

Yes, I noticed the same. This is valid bug that I experienced today too

Dear Axel, Piotr,

This is a bug on the newly released EOS Versions feature of SWAN. I’ve created a Jira issue so that you can follow: https://its.cern.ch/jira/browse/UCA-314
We’ll try to release a fix soon.

Thank you for reporting and sorry for the trouble.
Diogo

Dear Diogo,

Thanks a lot, I am now watching the Jira issue to be kept updated.

Cheers,

Axel

Dear Axel,

The fix has been deployed in swan006 and will be propagated to the other machines tomorrow night if no problem is found.
Sorry for the trouble and let me know if you find any other problem.

Cheers,
Diogo

Dear Diogo,

It seems to work now indeed! Thanks you very much for your help.

Cheers,

Axel